Get an artifact download URL
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"expires_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Exports
Get an artifact download URL
GET
/
api
/
v1
/
orgs
/
{org_slug}
/
derived-dataset-versions
/
{version_id}
/
artifacts
/
{artifact_key}
/
download-url
Get an artifact download URL
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/artifacts/{artifact_key}/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"expires_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for browsers, or nmp_ personal access token for CLI/SDK clients. Not accepted by ClerkSession-only operations.

